<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetLocalFileSize Method (IEdmFile5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmFile5 Interface : GetLocalFileSize Method (IEdmFile5)

Visual Basic
C#
C++/CLI

poPathOrFolderID
  ID of the folder, a full file path, or a folder path (see Remarks)

Obsolete. Superseded by IEdmFile9::GetLocalFileSize2 .

# Syntax

Visual Basic |
--- | ---

    Function GetLocalFileSize( _
       ByRef poPathOrFolderID As System.Object _
    ) As System.Integer

C# |
--- | ---

    System.int GetLocalFileSize(
       ref System.object poPathOrFolderID
    )

C++/CLI |
--- | ---

    System.int GetLocalFileSize(
    &   System.Object^% poPathOrFolderID
    )

#### Parameters

poPathOrFolderID
  ID of the folder, a full file path, or a folder path (see Remarks)

#### Return Value

Size in bytes; -1 if the local file is missing

# Remarks

If poPathOrFolderID is a folder path, it must be terminated by a backslash ('\').

See Return Codes for the complete list of potential success and error codes. The following are just a few examples:

- S_OK: The method successfully executed.
- S_FALSE: The local copy of the file is missing.

# See Also

####

IEdmFile5 Interface
IEdmFile5 Members
IEdmFile5::GetLocalFileDate Method ()
IEdmFile5::GetLocalRevisionName Method ()
IEdmFile5::GetLocalVersionNo Method ()
IEdmVersion5::FileSize Property ()

# Availability

SOLIDWORKS PDM Professional Version 5.2